## ros-melodic-move-basic 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(move_basic)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  tf2_geometry_msgs
  tf2_ros
  tf2
  geometry_msgs
  std_msgs
  actionlib
  actionlib_msgs
  sensor_msgs
  visualization_msgs
  move_base_msgs
  nav_core
  dynamic_reconfigure
  message_generation
  message_runtime
)

generate_dynamic_reconfigure_options(
  cfg/Movebasic.cfg
)

#generate_messages(
#  DEPENDENCIES
#  std_msgs
#)

catkin_package(
  INCLUDE_DIRS
  DEPENDS
  CATKIN_DEPENDS
  dynamic_reconfigure
  roscpp
  sensor_msgs
  actionlib
  std_msgs
  move_base_msgs
  geometry_msgs
  visualization_msgs
  actionlib_msgs
  std_msgs
  rostest
)

###########
## Build ##
###########

add_definitions(-std=c++11 -Wall -Wextra)

include_directories(${catkin_INCLUDE_DIRS} include)

add_executable(move_basic src/collision_checker.cpp src/obstacle_points.cpp src/move_basic.cpp)
add_dependencies(move_basic ${${PROJECT_NAME}_EXPORTED_TARGETS}
                 ${catkin_EXPORTED_TARGETS})
target_link_libraries(move_basic ${catkin_LIBRARIES})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS move_basic
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#install(DIRECTORY launch/
#        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
#)

###########
## Tests ##
###########

if(CATKIN_ENABLE_TESTING)
        find_package(rostest REQUIRED)

        add_rostest_gtest(collision_checker_test test/collision.test
                src/collision_checker.cpp
                src/obstacle_points.cpp
                test/test_collision.cpp)
        target_link_libraries(collision_checker_test ${catkin_LIBRARIES})
        add_rostest_gtest(obstacle_points_test test/obstacle_points.test
                src/obstacle_points.cpp
                test/test_obstacle_points.cpp)
        target_link_libraries(obstacle_points_test ${catkin_LIBRARIES})
	add_rostest_gtest(goal_queueing_test test/goal_queueing.test
#		src/move_basic.cpp
		test/test_goal_queueing.cpp)
	target_link_libraries(goal_queueing_test ${catkin_LIBRARIES})
endif()


# add_executable(goal_server src/move_basic.cpp)
# target_link_libraries(goal_server ${catkin_LIBRARIES})
# add_executable(goal_client test/test_goal_queueing.cpp)
# target_link_libraries(goal_client ${catkin_LIBRARIES})

=== debian/changelog ===
ros-melodic-move-basic (0.4.1-1bionic) bionic; urgency=high

  * Removed backward drive
  * Cosine Runaway safety abort
  * Minimum velocity parameters
  * Stop service
  * Contributors: Janez Cimerman, Jim Vaughan, Mark Johnston, MoffKalast, Rohan Agrawal, Teodor Janez Podobnik

 -- Jim Vaughan <jimv@mrjim.com>  Tue, 23 Mar 2021 23:00:00 -0000

ros-melodic-move-basic (0.4.0-1bionic) bionic; urgency=high

  * Add PID control for steering
  * Fix final orientation bug
  * Add action goal queueing
  * Separated collision checking and obstacle points
  * Add dynamic reconfigure
  * Contributors: Teodor Janez Podobnik, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Tue, 15 Dec 2020 23:00:00 -0000

ros-melodic-move-basic (0.3.2-1bionic) bionic; urgency=high

  * Don't rotate to go small distances
  * Reduce verbosity when rotating
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Fri, 02 Mar 2018 23:00:00 -0000

ros-melodic-move-basic (0.3.1-1bionic) bionic; urgency=high

  * Publish forward obstacle distance (#31 <https://github.com/UbiquityRobotics/move_basic/issues/31>)
  * Improve Lidar-based obstacle detection (#30 <https://github.com/UbiquityRobotics/move_basic/issues/30>)
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 03 Feb 2018 23:00:00 -0000

ros-melodic-move-basic (0.3.0-1bionic) bionic; urgency=high

  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 20 Jan 2018 23:00:00 -0000

ros-melodic-move-basic (0.2.2-1bionic) bionic; urgency=high

  * Will reverse for small distances without rotating
  * Try to operate in the frame the goal is in if no map frame
  * Add map_frame param
  * Add frane to points in path
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 07 Oct 2017 22:00:00 -0000

ros-melodic-move-basic (0.2.1-1bionic) bionic; urgency=high

  * Add map_frame param
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-melodic-move-basic (0.2.0-1bionic) bionic; urgency=high

  * Add move_base_msgs dep
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 20 May 2017 22:00:00 -0000

ros-melodic-move-basic (0.1.1-1bionic) bionic; urgency=high

  * Add URL to wiki page to README.md (#15 <https://github.com/UbiquityRobotics/move_basic/issues/15>)
  * added all deps in the package xml (#14 <https://github.com/UbiquityRobotics/move_basic/issues/14>)
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 14 May 2017 22:00:00 -0000

ros-melodic-move-basic (0.1.0-1bionic) bionic; urgency=high

  * Initial Release of a package for very basic navigation. The path planning consists of rotating in place to face the goal and then driving straight toward it. It is designed to provide the same interfaces as move_base.
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Tue, 09 May 2017 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-move-basic
Section: misc
Priority: optional
Maintainer: Jim Vaughan <jimv@mrjim.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-move-base-msgs, ros-melodic-nav-core, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-move-basic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-move-base-msgs, ros-melodic-nav-core, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-visualization-msgs
Description: Simple navigation package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-move-basic//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
